hledger-lib-0.22: Core data types, parsers and utilities for the hledger accounting tool.

Safe Haskell | None

Hledger.Read.CsvReader

Contents

- Reader
- Misc.
- Tests

Description

A reader for CSV data, using an extra rules file to help interpret the data.

Synopsis

- reader :: Reader
- type CsvRecord = [String]
- rulesFileFor :: FilePath -> FilePath
- parseRulesFile :: FilePath -> IO (Either ParseError CsvRules)
- transactionFromCsvRecord :: CsvRules -> CsvRecord -> Transaction
- tests_Hledger_Read_CsvReader :: Test

# Reader

reader :: Reader Source

# Misc.

type CsvRecord = [String]Source

rulesFileFor :: FilePath -> FilePath Source

parseRulesFile :: FilePath -> IO (Either ParseError CsvRules)Source

transactionFromCsvRecord :: CsvRules -> CsvRecord -> Transaction Source

# Tests

tests_Hledger_Read_CsvReader :: Test Source